package com.bzd.system.service.xsgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 销售订单明细表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SXsglXsmxDdmxSalesorderinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSXsglXsmxDdmxSalesorderinfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglXsmxDdmxSalesorderinfoMapper.addSXsglXsmxDdmxSalesorderinfo", pd);
    }

    public List<PageData> findSXsglXsmxDdmxSalesorderinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SXsglXsmxDdmxSalesorderinfoMapper.selectSXsglXsmxDdmxSalesorderinfoList", pd);
    }

    public Integer SXsglXsmxDdmxSalesorderinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SXsglXsmxDdmxSalesorderinfoMapper.SXsglXsmxDdmxSalesorderinfoRemove", pd);
    }


    public Integer updateSXsglXsmxDdmxSalesorderinfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglXsmxDdmxSalesorderinfoMapper.updateSXsglXsmxDdmxSalesorderinfo", pd);
    }

}
